镜像域名 doub.bid 提供给无翻墙能力的人访问,有能力的建议访问主域名:doub点io(防镜像替换 自己改点)
投稿文章 | 广告投放 | Telegram 群组 / 公告频道

『原创』BT/种子/磁力链接下载工具 —— Aria2 一键安装管理脚本

Shell脚本 Toyo 97评论
文章目录
[显示]
本文最后更新于 2018年1月25日 15:26 可能会因为没有更新而失效。如已失效或需要修正,请留言!

无聊,没教程写,随手写个脚本算了,配合其他的 Aria2教程使用。

手动安装教程:BT/种子/磁力链接/HTTP/FTP 离线下载工具 —— Aria2 新手动安装教程

系统要求

CentOS 6+ / Debian 6+ / Ubuntu 14.04 +

推荐 Debian 7 x64,这个是我一直使用的系统,我的脚本在这个系统上面出错率最低。

注意:本脚本只是安装Aria2后端,安装后默认会启动,但是还需要前端面板配合使用,如 Aria2 Web UI 或 AriaNG,教程看这里:https://doub.io/all-one/#BT、磁力链接下载 相关教程

脚本版本

Ver: 1.1.4

安装步骤

执行下面的代码下载并运行脚本。

wget -N --no-check-certificate https://softs.fun/Bash/aria2.sh && chmod +x aria2.sh && bash aria2.sh

# 如果上面这个脚本无法下载,尝试使用备用下载:
wget -N --no-check-certificate https://raw.githubusercontent.com/ToyoDAdoubi/doubi/master/aria2.sh && chmod +x aria2.sh && bash aria2.sh

运行脚本后会出现脚本操作菜单,选择并输入 1 就会开始安装。

使用说明

进入下载脚本的目录并运行脚本:

./aria2.sh

然后选择你要执行的选项即可。

Aria2 一键安装管理脚本 [vx.x.x]
-- Toyo | doub.io/shell-jc4 --

0. 升级脚本
————————————
1. 安装 Aria2
2. 卸载 Aria2
————————————
3. 启动 Aria2
4. 停止 Aria2
5. 重启 Aria2
————————————
6. 修改 配置文件
7. 查看 配置信息
8. 查看 日志信息
————————————

当前状态: 已安装 并 已启动

请输入数字 [0-8]:

其他操作

启动:/etc/init.d/aria2 start

停止:/etc/init.d/aria2 stop

重启:/etc/init.d/aria2 restart

查看状态:/etc/init.d/aria2 status

配置文件:/root/.aria2/aria2.conf (配置文件包含中文注释,但是一些系统可能不支持显示中文)

默认密匙:doub.io(如果你是从镜像域名doub.bid进来的,这个密匙会被镜像替换为 .bid ,自己改成 .io 即可)

下载目录:/usr/local/caddy/www/aria2/Download

其他说明

注意:本脚本只是安装Aria2后端,安装后默认会启动,但是还需要前端面板配合使用,如 Aria2 Web UI 或 AriaNG,教程看这里:https://doub.io/all-one/#BT、磁力链接下载 相关教程

提示wget: unknown host “softs.fun” 之类的错误

这是无法解析我的域名,多半是DNS的问题,请更换DNS为谷歌DNS(以下两行一起复制 一起执行)。

点击展开 查看更多

提示 wget: command not found 的错误

这是你的系统精简的太干净了,wget都没有安装,所以需要安装wget。

点击展开 查看更多

升级脚本

升级脚本只需要运行脚本,然后选择并输入 0 回车即可,会自动检测最新版本并下载,当然重新下载脚本文件也可以,会自动覆盖原文件。

更新日志

2018年01月25日,版本 v1.1.4

1. 修复 当配置文件丢失时,无法卸载 Aria2 的问题。

2018年01月22日,版本 v1.1.3

1. 新增 一键修改 RPC密码、RPC端口 以及 文件下载位置 的功能(6. 修改 配置文件)。

2. 新增 查看 配置信息 功能(7. 查看 配置信息)。

2018年01月18日,版本 v1.1.2

1. 修复 Aria2 卸载不完全的问题(会导致下次安装提示已安装)。

2018年01月17日,版本 v1.1.1

1. 新增 Vim编辑器安装代码(6. 修改 配置文件 选项会用到,考虑到一些人服务器没安装,所以特别加上)。

2017年11月24日,版本 v1.1.0

1. 新增 启动/查看 Aria2 运行状态是会显示 Aria2 的简单配置信息。

2. 更新 Aria2安装方式为 预编译 安装方式。

—— 以前是通过包管理器方式安装的Aria2,基本都是旧版本的包,这次改成 预编译 方式安装,就能直接安装最新的 Aria2 版本了,并且 CentOS 6 系统也支持安装了。

2017年09月05日,版本 v1.0.4

1.优化 CentOS7系统 Aria2安装步骤,提高成功率。

2017年08月28日,版本 v1.0.3

1.修复 上个版本 CentOS 系统判断不准确的问题。

2017年08月24日,版本 v1.0.2

1.新增 CentOS 系统判断(CentOS6因为源没有Aria2包,所以不支持安装)。

2017年05月09日,版本 v1.0.1

1.修复 检测安装状态的问题。

2.修复 安装Aria2后,检测是否安装成功的问题。

2017年05月07日,版本 v1.0.0

1. 推出 正式版。

转载请超链接注明:逗比根据地 » 『原创』BT/种子/磁力链接下载工具 —— Aria2 一键安装管理脚本
责任声明:本站一切资源仅用作交流学习,请勿用作商业或违法行为!如造成任何后果,本站概不负责!

赞 (44)or打赏
发表我的评论
取消评论
表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
(97)个小伙伴在吐槽
  1. vultr 上面安装 出现解压失败; tar (child): bzip2: Cannot exec: No such file or directory tar (child): Error is not recoverable: exiting now tar: Child returned status 2 tar: Error is not recoverable: exiting now [错误] Aria2 解压失败 !
    neal fan2018-02-02 09:28 回复
    • 错误信息不完整,不过大概应该是 下载文件失败了,导致解压文件提示找不到文件。
      Toyo2018-02-02 13:48 回复
  2. 貌似是 我这里连接https://github-production-release-asset-2e65be.s3.amazonaws.com/ 的问题。。。。不稳定。另外,nextcloud可以通过snap一键部署,使用独立的apache+mysql,默认占用80端口,也有一大把拓展应用,比seafile和oC要好用。。。最重要的是,从内置商店下载ocdownload可以通过使用aria2实现离线下载功能。。。直接连接到云里面
    逗比9982018-01-31 14:27 回复
  3. 尝试第三次好了。。。/捂脸 XD
    逗比9982018-01-31 14:15 回复
  4. 电脑访问 https://github-production-release-asset-2e65be.s3.amazonaws.com/32643217/49e517f8-c60c-11e7-9dda-34da6bf585b6?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAIWNJYAX4CSVEH53A%2F20180131%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20180131T060454Z&X-Amz-Expires=300&X-Amz-Signature=55e04c78f619baa339ff25d608e56842151ce3015150f4d72fbe4033484183d5&X-Amz-SignedHeaders=host&actor_id=0&response-content-disposition=attachment%3B%20filename%3Daria2-1.33.1-linux-gnu-64bit-build1.tar.bz2&response-content-type=application%2Foctet-stream 显示 This XML file does not appear to have any style information associated with it. The document tree is shown below. AccessDenied Request has expired 300 2018-01-31T06:09:54Z 2018-01-31T06:10:42Z C132A07B90969703 gYFT4NJ4CvIkHKckIX69iaqwyXRwN8yaUAJsm7repB1d0sHLgKPdIltgmTgiOu6GIf3Z5q/WWpw=
    逗比9982018-01-31 14:12 回复
  5. --2018-01-31 14:07:06-- (try: 2) https://github-production-release-asset-2e65be.s3.amazonaws.com/32643217/49e517f8-c60c-11e7-9dda-34da6bf585b6?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAIWNJYAX4CSVEH53A%2F20180131%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20180131T060454Z&X-Amz-Expires=300&X-Amz-Signature=55e04c78f619baa339ff25d608e56842151ce3015150f4d72fbe4033484183d5&X-Amz-SignedHeaders=host&actor_id=0&response-content-disposition=attachment%3B%20filename%3Daria2-1.33.1-linux-gnu-64bit-build1.tar.bz2&response-content-type=application%2Foctet-stream Connecting to github-production-release-asset-2e65be.s3.amazonaws.com (github-production-release-asset-2e65be.s3.amazonaws.com)|52.216.227.24|:443.. 系统debian
    逗比9982018-01-31 14:08 回复
  6. aria2-1.33.1-linux-gnu-64bit-build1/AUTHORS aria2-1.33.1-linux-gnu-64bit-build1/aria2c aria2-1.33.1-linux-gnu-64bit-build1/README.rst aria2-1.33.1-linux-gnu-64bit-build1/ChangeLog aria2-1.33.1-linux-gnu-64bit-build1/man-aria2c aria2-1.33.1-linux-gnu-64bit-build1/README.html aria2-1.33.1-linux-gnu-64bit-build1/LICENSE.OpenSSL aria2-1.33.1-linux-gnu-64bit-build1/ca-certificates.crt aria2-1.33.1-linux-gnu-64bit-build1/Makefile aria2-1.33.1-linux-gnu-64bit-build1/NEWS aria2-1.33.1-linux-gnu-64bit-build1/COPYING aria2.sh: line 76: make: command not found [错误] Aria2 主程序安装失败! 请问我很多命令都是command not found,是怎么回事啊。。。
    路路路2018-01-25 09:48 回复
    • 什么系统,你这种情况说明一开始安装依赖步骤出现问题导致没有正确安装。根据系统运行以下命令,贴出报错完整信息。
      Centos系统:
      yum update
      yum -y groupinstall "Development Tools"
      Debian/Ubuntu 系统:
      apt-get update
      apt-get install build-essential -y
      
      Toyo2018-01-25 14:15 回复
      • 同上,使用第一个wget显示安装失败, 也尝试安装了编译 [email protected]:/home/disk1# apt-get install build-essential Reading package lists... Done Building dependency tree Reading state information... Done build-essential is already the newest version (12.3). 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. root下进行,使用第二个显示 –2018-01-31 14:07:06– (try: 2) https://github-production-release-asset-2e65be.s3.amazonaws.com/32643217/49e517f8-c60c-11e7-9dda-34da6bf585b6?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAIWNJYAX4CSVEH53A%2F20180131%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20180131T060454Z&X-Amz-Expires=300&X-Amz-Signature=55e04c78f619baa339ff25d608e56842151ce3015150f4d72fbe4033484183d5&X-Amz-SignedHeaders=host&actor_id=0&response-content-disposition=attachment%3B%20filename%3Daria2-1.33.1-linux-gnu-64bit-build1.tar.bz2&response-content-type=application%2Foctet-stream Connecting to github-production-release-asset-2e65be.s3.amazonaws.com (github-production-release-asset-2e65be.s3.amazonaws.com)|52.216.227.24|:443.. 连不上
        逗比9982018-01-31 14:10 回复
  7. 博主好,这个脚本怎么改可以使用www-data用户或者其他用户启用aria2啊。主要是自己搭了nextcloud,发现这个用的是root启用的,nextcloud对下载的文件就没有编辑权限了。
    zvonimir2018-01-15 22:46 回复
  8. 怎么使用www用户运行啊,这个默认好像是root用户
    zhang2018-01-06 16:59 回复
  9. 重装成了Debian 7,果然比之前centos 7安装顺畅多了
    zvonimir2017-12-15 11:42 回复
  10. [信息] Aria2服务 管理脚本下载完成 ! [错误] Aria2 配置文件不存在 ! 博主请问这是什么原因
    小明2017-12-03 02:33 回复
    • 你是 ROOT 账号或者有 ROOT 权限吗?
      Toyo2017-12-03 10:23 回复
  11. 博主你好这个下载不了https的链接,请问下要怎么设置。谢谢
    2017-12-02 13:28 回复
    • HTTPS的链接,能下载啊,我测试了下正常,下载我的逗比云文件都正常:https://softs.fun/100MB.bin ,也是HTTPS。
      如果你说的是 让前端面板通过 HTTPS方式链接Aria2后端,那我就不清楚了。
      Toyo2017-12-02 13:36 回复
      • 奇怪我下载你的连接没问题,但是下载tumblr的https连接就报错,https://31.media.tumblr.com/a471101a75bc68ddd996dc7ac4ca41d8/tumblr_oh55gr9tGz1vluqbho2_1280.jpg这个
        2017-12-02 17:14 回复
        • 那可能是这个链接有限制吧。
          Toyo2017-12-03 10:18 回复
  12. 站长你的博客是不是被墙了,我这边不挂ss上不了你的站
    kaho1002017-12-01 12:22 回复
    • 本站主域名 doub.io 早就被墙了,镜像域名:doub.bid
      Toyo2017-12-01 14:52 回复
  13. doubi最新的启动代码是不是写错了,--conf-path只写了-c
    Eazming2017-12-01 02:42 回复
    • -c 是简写,不影响,我的服务脚本中一直是这样写的。
      Toyo2017-12-01 15:15 回复
      • 可能是我这有毒,不改的话一直报continue错误,改成conf-path后启动成功 :lol:
        Eazming2017-12-03 01:37 回复
  14. 安装好了但是在网页中打开是空白页面,这是怎么回事?
    tekh2017-11-29 08:04 回复
  15. Preparing... ################################# [100%] file /etc/yum.repos.d/epel-testing.repo from install of epel-release-7-11.noarch conflicts with file from package epel-release-7-9.noarch file /etc/yum.repos.d/epel.repo from install of epel-release-7-11.noarch conflicts with file from package epel-release-7-9.noarch Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: mirrors.usinternet.com * elrepo-kernel: repos.lax-noc.com * extras: mirror.san.fastserv.com * updates: mirror.hostduplex.com No packages marked for update Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: mirrors.usinternet.com * elrepo-kernel: repos.lax-noc.com * extras: mirror.san.fastserv.com * updates: mirror.hostduplex.com No package aria2 available. Package curl-7.29.0-42.el7.x86_64 already installed and latest version Package unzip-6.0-16.el7.x86_64 already installed and latest version Package 2:vim-enhanced-7.4.160-2.el7.x86_64 already installed and latest version Nothing to do 错误提示
    vxget2017-11-22 14:18 回复
    • No package aria2 available.
      
      源的问题,源内没有Aria2的软件包,尝试自己更换源。CentOS我不用,所以自行搜索解决方法。
      Toyo2017-11-22 14:30 回复
  16. 我安到最后就显示未能安装 centos7 64位,按了bt面板,和nextcloud
    vxget2017-11-22 14:17 回复
  17. 从2017.11.16起脚本提示No package aria2 available,之前能正常使用。。。然后用自己编译的办法也安装不好
    sniyv2017-11-17 23:38 回复
    • 脚本是通过 包管理器方式安装 Aria2 ,如果源太老,可能会出现 包管理器安装找不到 Aria2 包,解决方法更换 包管理器源文件,具体自行搜索。
      Toyo2017-11-18 11:32 回复
  18. 大佬aria2怎么选择版本安装,github上最新是1.33版本,我感觉这个版本有问题,独服上开了台小鸡,一个人用,配置很高。莫名奇妙的就直接把vps跑关机了,我想装回1.32版本看看
    黄鱼鱼2017-11-02 00:12 回复
    • 无法指定版本安装,本脚本都是通过 软件包管理器(yum/apt-get)方式安装的,这种方式安装无法控制安装的版本号。除非你自己编译源码安装,但是那需要安装特别多的依赖,很容易出错。
      Toyo2017-11-02 08:00 回复
  19. 卸载后还是会提示已安装到没启动,一样修复下,可以卸载重装
    出错了!2017-10-30 21:27 回复
  20. 重启服务器后ariang前端就是未连接,不知道那里的原因
    出错了!2017-10-30 21:26 回复
  21. 运行到下载aria2配置文件那里就不动了 好像是网址无法访问了请修复哦
    yynmi2017-10-29 22:19 回复
    • 脚本内安装的所有依赖文件都存放在 Github,刚才看了文件URL都没问题,可能是Github 抽风,或者Github的下载分发CDN与你的VPS直接链接有阻碍。
      Toyo2017-10-29 23:52 回复
  22. 10/28 22:02:37 [WARN] Unknown option: rpc-secret=doub.io 10/28 22:02:37 [NOTICE] IPv4 RPC: listening on TCP port 6800 10/28 22:02:37 [ERROR] IPv6 RPC: failed to bind TCP port 6800 Exception: [SocketCore.cc:291] errorCode=1 Failed to bind a socket, cause: Name or service not known 设置了默认密钥,连接时不用输密钥也能链接,这是日志
    乖乖2017-10-28 22:05 回复
    • 10/28 22:02:37 [WARN] Unknown option: rpc-secret=doub.io
      无效的参数:rpc-secret=doub.io
      你的Aria2是什么版本?
      aria2c -V
      
      Toyo2017-10-28 23:33 回复
  23. 当前状态: 已安装 但 未启动 请输入数字 [0-7]:3 [错误] Aria2 启动失败 ! [email protected]:~$ sudo ./aria2.sh Aria2 一键安装管理脚本 [v1.0.4] -- Toyo | doub.io/shell-jc4 -- 0. 升级脚本 ———————————— 1. 安装 Aria2 2. 卸载 Aria2 ———————————— 3. 启动 Aria2 4. 停止 Aria2 5. 重启 Aria2 ———————————— 6. 修改 配置文件 7. 查看 日志信息 ———————————— 当前状态: 已安装 但 未启动 请输入数字 [0-7]:7 [注意] 按 Ctrl+C 终止查看日志 Exception caught Exception: [download_helper.cc:403] errorCode=1 Unrecognized URI or unsupported protocol: /root/.aria2/aria2.conf
    我滴乖乖2017-10-28 21:14 回复
    • 不清楚这个错误什么意思。
      Toyo2017-10-28 23:34 回复
  24. 求救: W: There is no public key available for the following key IDs: EF0F382A1A7B6500 E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. [错误] Aria2 安装失败,请检查 !
    JK2017-10-12 23:50 回复
    • 你的包管理器程序有问题,尝试运行 dpkg --configure -a
      Toyo2017-10-13 12:12 回复
  25. Toyo老大,Caddy Server的Filemanager网页中显示中文文件名正常,但是一点下载,弹出下载框里的中文是乱码,应该怎么解决?我谷歌上查了一圈也没查出个所以然来 感谢
    MxdStudio2017-10-11 14:07 回复
    • 不是很清楚,我用这个程序测试下载中文文件,并没有出现乱码。
      Toyo2017-10-11 14:31 回复
  26. 你好,站长,我是用的是搬瓦工的VPS,Debian 7 x64,安装一键包出现如下提示,请问应该怎么做 ? 感谢! glibc (2.21-2) unstable; urgency=medium Starting with version 2.21-1, the glibc requires a 3.2 or later Linux kernel. If you use an older kernel, please upgrade it *before* installing this glibc version. Failing to do so will end-up with the following failure: Preparing to unpack .../libc6_2.21-1_amd64.deb ... Checking for services that may need to be restarted... Checking init scripts... WARNING: this version of the GNU libc requires kernel version 3.2 or later. Please upgrade your kernel before installing glibc. Note: This obviously does not apply to non-Linux kernels. -- Aurelien Jarno Thu, 03 Dec 2015 22:46:21 +0100 util-linux (2.25.1~rc1-1) experimental; urgency=medium * This version adds a number of patches which again makes fsck available on non-linux architectures like kfreebsd. -- Andreas Henriksson Sat, 30 Aug 2014 18:32:25 -0700 util-linux (2.25-1) experimental; urgency=medium :
    xxxky2017-09-27 16:28 回复
    • 输入 q ,就退出了。
      这是一些软件/依赖 升级后提示的升级日志一类。如果你翻到最后 他就会提示你输入 q 来退出。
      Toyo2017-09-27 18:30 回复
  27. rm -rf /etc/init.d/aria2 卸载这有错误
    小白2017-08-30 09:44 回复
  28. CADDY申请了https证书怎么让ARIA2也用这个证书啊
    ufo868172017-08-29 20:30 回复
  29. [错误] CentOS6 系统不支持安装 Aria2(源没有Aria2包),请更换 CentOS7 或其他系统安装 ! cat /etc/centos-release CentOS Linux release 7.3.1611 (Core)
    xawecwa2017-08-27 10:11 回复
    • cat /etc/redhat-release |grep 6\..*|grep -i centos>/dev/null
      echo $?
      返回 1 还是 0 。
      
      Toyo2017-08-27 11:34 回复
      • 和这位兄弟一样的问题,阿里云国际,确定装的是centos7,lsb_release -a LSB Version: :core-4.1-amd64:core-4.1-noarch Distributor ID: CentOS Description: CentOS Linux release 7.3.1611 (Core) Release: 7.3.1611 Codename: Core ,然后用大神你说的返回的是0
        Dr.2017-08-28 18:40 回复
        • 请更新脚本,v1.0.3已修复。
          Toyo2017-08-28 19:48 回复
  30. 请输入数字 [0-7]:1 [信息] 开始安装/配置 依赖... Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: linux.mirrors.es.net * elrepo-kernel: repos.lax-noc.com * extras: mirror.hmc.edu * updates: repos-lax.psychz.net No packages marked for update Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: linux.mirrors.es.net * elrepo-kernel: repos.lax-noc.com * extras: mirror.hmc.edu * updates: repos-lax.psychz.net No package aria2 available. Package curl-7.29.0-35.el7.centos.x86_64 already installed and latest version Package unzip-6.0-16.el7.x86_64 already installed and latest version Package 2:vim-enhanced-7.4.160-1.el7_3.1.x86_64 already installed and latest version Nothing to do [错误] Aria2 安装失败,请检查 !
    2785591652017-08-15 04:56 回复
    • 系统要求:CentOS 7+ / Debian 6+ / Ubuntu 14.04 +,你的是 CentOS 6 吧,CentOS 6 的源里是没有 Aria2的。
      Toyo2017-08-15 10:26 回复
  31. 安装时未用screen而到一半 ssh断开,文件不完整也提示成功安装而且也不能卸载,能给出个重新覆盖安装吗
    luan2017-07-31 06:53 回复
    • 那就手动卸载:
      rm -rf /root/.aria2
      rm -rf /etc/init.d/aria2
      
      # CentOS系统:
      chkconfig --del aria2
      yum remove aria2 -y
      # Debian/Ubuntu 系统:
      update-rc.d -f aria2 remove
      apt-get remove --purge aria2 -y
      
      Toyo2017-07-31 06:58 回复
  32. 大佬,下载任何文件都报错 07/28 15:00:37 [[1;31mERROR[0m] CUID#10 - Download aborted. URI=http://down.80host.com/iso/CentOS-6.7-x86_64-netinstall.iso Exception: [AbstractCommand.cc:869] errorCode=1 Failed to establish connection, cause: Connection timed out 07/28 15:00:37 [[1;32mNOTICE[0m] Download GID#0b4ba3a7c92506b0 not complete:
    JJ2017-07-28 15:12 回复
    • Connection timed out。下载文件连接超时。
      Toyo2017-07-28 19:11 回复
  33. 搞定了,把下载下来的2个文件手动复制过去
    JJ2017-07-28 13:29 回复
  34. [信息] Aria2服务 管理脚本下载完成 ! [错误] Aria2 配置文件不存在 大佬是咋回事呢
    JJ2017-07-28 12:23 回复
    • 查看 /root/.aria2/aria2.conf 配置文件是否存在,贴出安装时更多的步骤报错信息。
      Toyo2017-07-28 12:52 回复
  35. Toyo大佬,请问如何关闭rpc,因为每次登陆都要输入rpc密码真的好麻烦...
    小白2017-07-10 13:03 回复
    • 应该是无法取消的,因为这是验证手段,否则别人知道了你的Aria2后端IP和端口就能直接使用了。不过如果使用那些前端远程管理网页的话,浏览器一般都会记住Cookie的,我这边就是链接一次后除非Cookie到期失效或清理浏览器缓存,否则就不用每次都输入密码登陆。更换浏览器试试。
      Toyo2017-07-11 13:36 回复
  36. debian7.2表示不能自启 得添加什么
    CN2017-05-20 20:30 回复
    • 还有如何下载回本地..
      CN2017-05-22 22:17 回复
  37. 你好,我安装好了,aria2成功运行但是下载失败 [email protected]:~/.aria2# aria2c https://iiio.io/download/20170514/Android安卓跟Linux系列.zip 05/16 21:59:01 [ERROR] IPv4 RPC: failed to bind TCP port 6800Exception: [SocketCore.cc:292] errorCode=1 绑定接口失败, 原因: 地址已在使用 05/16 21:59:01 [ERROR] IPv6 RPC: failed to bind TCP port 6800 Exception: [SocketCore.cc:292] errorCode=1 绑定接口失败, 原因: 地址已在使用 05/16 21:59:01 [ERROR] 捕捉到异常 Exception: [DownloadEngineFactory.cc:215] errorCode=1 Failed to setup RPC server. 用netstat查看6800端口也正在监听,还有我系统设置的中文 字体为utf-8 但是aria2.conf配置文件中文仍然显示为乱码
    tiger2332017-05-16 22:04 回复
  38. [ERROR] IPv4 RPC: failed to bind TCP port 6800 Exception: [SocketCore.cc:312] errorCode=1 Failed to bind a socket, cause: Address already in use Debain8 不知道怎么解决 :lol:
    lbroot2017-05-15 20:07 回复
    • [ERROR] IPv4 RPC: failed to bind TCP port 6800
      Exception: [SocketCore.cc:312] errorCode=1 Failed to bind a socket, cause: Address already in use
      # 谷歌机翻
      [错误] IPv4 RPC:无法绑定TCP端口6800
      异常:[SocketCore.cc:312] errorCode = 1无法绑定套接字,原因:地址已在使用中
      
      6800端口被占用导致无法绑定,从而启动失败。为什么遇到问题先不是自己查一查或翻译看一下呢? netstat -lntp 排除端口占用程序。
      Toyo2017-05-15 21:34 回复
      • 我的也是这种情况 但是我查询端口就是被aria2c监听的啊 为什么还无法绑定 不知道该怎么解决?我换了一个端口仍然还是这样
        tiger2332017-05-16 22:12 回复
  39. 怎么让它支持http协议下载?
    天一2017-05-11 00:31 回复
    • Aria2本身就是支持http协议下载啊,你添加http连接去下载就是了啊!
      Toyo2017-05-11 13:02 回复
  40. 建议增加是否使用域名选项和ariang前端端口自定义(就是80改其他端口)
    kurokitomoko2017-05-10 20:24 回复
    • 这个脚本只有一个功能:安装Aria2,没有前端等功能也不会考虑,那些自己装。
      Toyo2017-05-11 00:14 回复
  41. CentOS6的仓库里没有aria2,Repoforge源已经废弃,会安装失败- -另外aria2 1.31的依赖在CentOS6仓库里的版本太旧,Repoforge中最新版本Aria2 1.16的依赖在仓库里版本太新,总之各种问题
    littlef0x2017-05-09 22:18 回复
    • 反正我不用CentOS。
      Toyo2017-05-09 22:32 回复
      • 所以系统要求应该是CentOS7+呀
        littlef0x2017-05-11 00:48 回复
    • centos要更新到7才行。。。。
      kurokitomoko2017-05-10 10:58 回复
      • 没有这个模板,目前只能用1.16.4,新版依赖太复杂了懒得一个个找包
        littlef0x2017-05-11 00:50 回复
  42. 啦啦啦,前几天看的这个aria安装太麻烦了,准备叫大佬写个一键脚本,后来又事情忘记了,这次来看,已经好了……难道和大佬心有灵犀一点通?搞基么哈哈哈哈哈
    新一2017-05-09 15:34 回复
  43. 提示已安装 但是未开启 开启的时候又说未安装。。。
    Sof2017-05-09 12:42 回复
    • 这个应该是安装Aria2的时候出问题了,配置文件正常安装,但是Aria2没有安装成功,你升级脚本v1.0.1,然后卸载重装看看。
      Toyo2017-05-09 14:45 回复
  44. 哥们,我安装成功了。怎么样下载种子呢
    since20042017-05-09 11:01 回复
  45. 然而自己折腾可以开rpc-security,通过https连接 :lol:
    Zazen2017-05-08 07:54 回复
    • 首先你需要一个域名:lol:
      kurokitomoko2017-05-08 21:37 回复
      • 这也是问题????
        Zazen2017-05-09 00:21 回复
        • dalao推荐个域名申请
          kurokitomoko2017-05-09 08:31 回复
          • 善用搜索,站内有免费域名申请教程
            KCP2017-07-30 05:48 回复
    • 请问证书是用CADDY自动申请额还是另外指定路径的,在哪里申请啊
      ufo868172017-08-30 00:09 回复
  46. https://github.com/shadowsocks/shadowsocks-manager 写个这个教程呗。
    bupoo2017-05-08 01:17 回复
    • 估计toyo不会写的,toyo说明不碰。。。
      kurokitomoko2017-05-08 21:36 回复
  47. 这个很方便,其实这东西搭建也不难,尤其debian,centos略事多些。主要很多人不好搭建是因为搭建webui的问题多,很多没建过网站。
    zrj7662017-05-08 00:21 回复
    • 步骤很简单,我几乎是量产脚本,拿着以前的脚本改一改就是一个新脚本了 :lol:
      不过一键脚本始终更省力,当明白某个东西的详细安装步骤后,就没必要每次安装都手动安装浪费时间,时间就是金钱 :neutral: (主要还是没教程写..
      Toyo2017-05-08 00:31 回复
  48. 这个6666,终于不用手装了 :lol:
    kurokitomoko2017-05-07 18:51 回复
    • 安装时没多困难,但aria2是命令行下载工具,命令行!!如果想简单点,搭建WEBUI,又要某一键脚本+初级运维知识
      mrw772017-05-07 21:19 回复
      • 已经手装不知道多少次了,以前卡在拖文件问题上
        kurokitomoko2017-05-08 07:07 回复